/* Shared header/nav */
.header {
  width: 100%;
  padding: 0.7em 3.5em;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.125rem;
  position: fixed;
  top: 0;
  background-color: #ffffffbd;
  color: black;
  z-index: 10;
  box-sizing: border-box;
  backdrop-filter: blur(8px);
}

.header nav {
  width: 95%;
  margin: 0.3em 3em;
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-between;
  align-items: center;
  box-sizing: border-box;
}

.header nav .nav-logo { width: 200px; }
.header nav .desktop { display: flex; }
.header nav .navphone { display: none; }

.header nav .fab .fas .fa-phone {
  display: flex;
  color: black;
  background-color: black;
}

.header nav .burguer-menu { display: none; }

.header nav .img-logo {
  width: 130px;
  height: 100%;
  margin: 0.5em;
}

.header nav .desktop {
  min-width: 580px;
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-around;
  align-items: center;
  font-weight: 0.8em;
}

.header nav .li-text { font-size: 0.7em; }
.header nav .li-text:hover { color: var(--amarillo); }
.header nav .li-text:active { color: var(--amarillo); }

@media (min-width: 800px) {
  nav .navphone { display: none; }
  nav .navphone.is-open { display: flex; }
}

@media (max-width: 800px) {
  nav .desktop { display: none; }

  nav .header {
    padding: 0.4em;
  }

  nav .navphone {
    width: 100%;
    height: 60%;
    margin-top: 0em;
    margin: 1em auto;
    padding: 1.5em 1em 0.5em;
    position: relative;
    font-size: 1.2em;
    text-align: center;
    border-top: 1px solid #ab988b36;
    background-color: var(--blanco);
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
  }

  nav .li-text { padding: 0.5em 0; }

  nav .header nav {
    flex-flow: column wrap;
  }
}

@media (max-width: 870px) {
  .header nav {
    width: 100%;
    margin: 0;
    padding: 0.5em 0;
    flex-flow: row wrap;
  }

  .header {
    z-index: 10;
    width: 100%;
  }

  .header.menu-open {
    background-color: #fff;
    backdrop-filter: none;
  }

  .desktop {
    display: none !important;
  }

  .burguer-menu {
    display: flex !important;
    flex-flow: column;
    align-items: center;
  }

  .img-logo {
    margin: 0 !important;
  }

  .fab {
    display: flex;
    color: black;
    font-size: 1.5em;
    margin: 0 0.5em;
  }

  .navphone {
    width: 100%;
    height: 60%;
    margin-top: 0em;
    margin: 0.5em auto 0;
    padding: 1.5em 1em 0.5em;
    position: relative;
    font-size: 1.2em;
    text-align: center;
    border-top: 1px solid #ab988b36;
    background-color: var(--blanco);
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
  }
}

.burguer-menu {
  width: 30px;
  height: 30px;
  margin: 0;
  cursor: pointer;
  transition: 0.5s ease-in-out;
}

.burguer-menu--dash:nth-child(1) { top: 7px; position: relative; }
.burguer-menu--dash:nth-child(2) { top: 14px; position: relative; }
.burguer-menu--dash:nth-child(3) { top: 21px; position: relative; }

.burguer-menu--dash {
  height: 2px;
  width: 80%;
  display: block;
  background: black;
  transition: 0.25s ease-in-out;
  opacity: 1;
  left: 0;
  transform: rotate(0deg);
}

.open .burguer-menu--dash:nth-child(1) { top: 20px; transform: rotate(135deg); }
.open .burguer-menu--dash:nth-child(2) { left: -30px; opacity: 0; }
.open .burguer-menu--dash:nth-child(3) { top: 16px; transform: rotate(-135deg); }
